<div class="container">
    <div class="row">
        <div class="col-12 ms-signup-container d-flex flex-column justify-content-center">
            <div>
                <h2 class="text-center px-3">Sign Up</h2>
            </div>
            <div class="d-flex justify-content-center">
                <form [formGroup]="signupForm" (ngSubmit)="onRegister()">
                    <div class="row my-3">
                        <div class="col-6">
                            <input
                                id="name"
                                type="text" 
                                class="form-control" 
                                placeholder="First Name"
                                formControlName="name">
                            <small
                                class="text-danger"
                                *ngIf="name.invalid && (name.dirty || name.touched)">Enter a valid First Name adress!</small>
                        </div>
                        <div class="col-6">
                            <input 
                                id="lastName"
                                type="text" 
                                class="form-control"  
                                placeholder="Last Name"
                                formControlName="lastName">
                            <small 
                                class="text-danger" 
                                *ngIf="lastName.invalid && (lastName.dirty || lastName.touched)">Enter a valid Last Name adress!</small>
                        </div>
                    </div>
                    <div class="row my-3">
                        <div class="col-12">
                            <input 
                                id="email"
                                type="email" 
                                class="form-control" 
                                placeholder="Email"
                                formControlName="email">
                            <small
                                class="text-danger"
                                *ngIf="email.invalid && (email.dirty || email.touched)">Enter a valid email adress!</small>
                        </div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-12">
                            <input 
                                id="password"
                                type="password" 
                                class="form-control" 
                                placeholder="Password"
                                formControlName="password">
                            <small 
                                class="text-danger" 
                                *ngIf="password.invalid && (password.dirty || password.touched)">Enter a valid password!</small>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center">
                        <button 
                            type="submit" 
                            class="btn btn-secondary"
                            [disabled]="!signupForm.valid"
                            >Sign In</button>
                    </div>
                </form>
            </div>
            <div class="alert alert-success mt-3 text-center" role="alert" *ngIf="registrationSucceded">
                Congratulations! Go to <a class="fw-bold " (click)="onLoginClick()"> Login </a>
            </div>
            
            <div class="mt-5 text-center">
                <p class="mb-1">You already have an account?</p>
                <a class="ms-link-color" (click)="onLoginClick()">Login</a>
            </div>
        </div>
    </div>
</div>
